﻿@model IEnumerable<DotNetCoreMVC.Models.Student>

@{
    ViewData["Title"] = "StudentList";
}

<h1>StudentList</h1>

<p class="float-right">
    <a asp-action="Create" class="btn btn-outline-primary">Add New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>Actions</th>
            <th>
                @Html.DisplayNameFor(model => model.First_Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Last_Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Email)
            </th>

            <th>
                @Html.DisplayNameFor(model => model.Mobile)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FacultyName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>


        </tr>
    </thead> 
    <tbody>
@foreach (var item in Model) {
        <tr>

            <td>
                @Html.ActionLink("Edit", "Create", new { id=item.ID, item.First_Name, item.Last_Name, item.Email, item.Mobile, item.Description, item.FacultyID  }, new { @class="btn btn-success"}) |

                @Html.ActionLink("Delete", "DeleteStd", new { id=item.ID, }, new { @class = "btn btn-danger", onclick="return confirm('Do you really want to delete this record?')"})
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.First_Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Last_Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Email)
            </td>

            <td>
                @Html.DisplayFor(modelItem => item.Mobile)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FacultyName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>


        </tr>
}
    </tbody>
</table>
